const posts = import.meta.globEager('./_posts/*.svx');

// let postData = [];

// for (const path in posts) {
//     const slug = path.slice(9, -4)
//     posts[path].metadata.slug = slug;
//     postData.push(posts[path].metadata);
// }

export let postData = import.meta.glob('./_posts/*.svx');
export const postData = Object.entries(posts).map((path, post) => {
    const slug = path.slice(9, -4);
    post.metadata.slug = slug;
    return post.metadata;
})
postData.sort((a, b) => {
    // sorting in reverse, so we flip the intuitive order
    if (a.date > b.date) return -1;
    if (a.date < b.date) return 1;
    return 0;
})

export async function get() {
    return {body: postData};
}

